#% global HGrev	1032

Summary:		X Neural Switcher
Name:		xneur
Version:		0.17.0
Release:		4%{?HGrev:.hg%{HGrev}}%{?dist}
License:		GPLv2+
Group:		User Interface/Desktops
URL:			http://www.xneur.ru
%if 0%{?HGrev}
# Sources now in mercurial. Tarball from author to fix last deprecated error.
Source:		xneur_%{version}+hg%{HGrev}.orig.tar.gz
%else
Source:		https://launchpad.net/~andrew-crew-kuznetsov/+archive/xneur-stable/+files/%{name}_%{version}.orig.tar.gz
%endif

# It is needed for build against EL-5
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	fontconfig-devel, freetype-devel, glib2-devel, pcre-devel
BuildRequires:	libX11-devel, gstreamer-devel, freealut-devel >= 1.0.1, libICE-devel
BuildRequires:	enchant-devel, libXpm-devel, imlib2-devel, enchant-devel
%if 0%{?fedora} < 17
BuildRequires:	xosd-devel
%endif
BuildRequires:	gettext-devel, libnotify-devel >= 0.4.0, gtk2-devel, alsa-utils

# I dont understand for what icons appeared for daemon, but its there from 0.13 version
Requires:		hicolor-icon-theme, alsa-utils

%if 0%{?HGrev}
BuildRequires:	libtool
%endif

# El5 http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#Distribution_specific_guidelines
Requires:		pkgconfig

# https://bugzilla.redhat.com/show_bug.cgi?id=1175114 made by Alexey Radkov and sent upstream.
Patch0:		xneur-0.17.0-memory-misusages-fix.patch

%description
X Neural Switcher is a program for automatic (intelligent) keyboard layout
changing in the X Window System. It is mainly used to change between Russian
and English, but also supports Armenian, Belorussian, Bolgarian, Czech,
Georgian, German, Greek, Estonian, French, Kazakh, Lithuanian, Latvian, Polish,
Moldovan (Romanian), Spanish, Ukrainian and Uzbek.

%description -l ru
X Neural Switcher это программа для автоматического (интеллектуального)
переключения раскладок клавиатуры в X Window. Прежде всего он предназначен
для смены русской и английской раскладок, но также поддерживаются армянский,
белорусский, болгарский, чешский, грузинский, немецкий, греческий, эстонский,
французский, казахский, литовский, латвийский (латышский), польский, молдавский
(румынский), испанский, украинский и узбекский языки.

%package		devel
Summary:		Development files for %{name}
Group:		Development/Libraries
Requires:		%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%patch0 -p2 -b .memory-misusages

%build
#? % if 0%{?HGrev}
#?./autogen.sh
#?%endif

%configure \
	--with-sound=aplay \
	--with-gtk=gtk2 \
	--with-spell=enchant \
%if 0%{?fedora} > 16
	--without-xosd
%endif

# Hack disable -Werror to do not thread deprecated as error and allow build in rawhide:
#?? sed -i 's#-Werror ##g' lib/main/Makefile

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

# remove static
rm %{buildroot}/%{_libdir}/{,%{name}}/*.{a,la}

%find_lang %{name}

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig
	if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
	fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc AUTHORS COPYING ABOUT-NLS TODO ChangeLog NEWS README
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/xneurrc*
%{_bindir}/%{name}
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/*.so.*
%{_libdir}/*.so.*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man5/%{name}rc.5*
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/*

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/xneur/*.so
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/*


%changelog
* Thu Jan 15 2015 Pavel Alexeev <Pahan@Hubbitus.info> - 0.17.0-4
- Add Patch0: xneur-0.17.0-memory-misusages-fix.patch (bz#1175114) made by Alexey Radkov and sent upstream.

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Dec 2 2013 Pavel Alexeev <Pahan@Hubbitus.info> - 0.17.0-1
- Update to 0.17.0 version
- Add BR libICE-devel
- Add BR (checked at build time), R alsa-utils (aplay binary used in runtime)

* Sat Aug 10 2013 Pavel Alexeev <Pahan@Hubbitus.info> - 0.16.0-4
- Drop ugly workarounds on configure with resolve https://bugzilla.gnome.org/show_bug.cgi?id=622550
- Add configure parameters (borrow from SuSe):
	--with-sound=aplay \
	--with-gtk=gtk2 \
	--with-spell=enchant (add BR enchant-devel)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Nov 11 2012 Pavel Alexeev <Pahan@Hubbitus.info> - 0.16.0-1
- New 0.16.0 version.
- Sources migrated from subversion to mercurial.

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Feb 10 2012 Petr Pisar <ppisar@redhat.com> - 0.15.0-5
- Rebuild against PCRE 8.30

* Sat Jan 28 2012 Pavel Alexeev <Pahan@Hubbitus.info> - 0.15.0-4
- Hack disable -Werror to do not thread deprecated as error and allow build in rawhide.
	Problem mailed to author.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Dec 18 2011 Pavel Alexeev <Pahan@Hubbitus.info> - 0.15.0-2
- Disable xosd support for Fedora > 16 as it orphaned now.

* Sun Dec 18 2011 Pavel Alexeev <Pahan@Hubbitus.info> - 0.15.0-1
- Update to 0.15.0 version

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.13.0-2
- Rebuild for new libpng

* Fri Jun 24 2011 Pavel Alexeev <Pahan@Hubbitus.info> - 0.13.0-1
- Update to 0.13 version (request bz#708922).

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.0-3.svn859
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Feb 4 2011 Pavel Alexeev <Pahan@Hubbitus.info> - 0.12.0-2
- New version 0.12.0 does not built on rawhide - http://koji.fedoraproject.org/koji/getfile?taskID=2758454&name=build.log ,
	ask upstream author (by email) and build fixed version.
- Add svn dependency stuff on svn build to regenerate configure script.

* Wed Feb 2 2011 Pavel Alexeev <Pahan@Hubbitus.info> - 0.12.0-1
- New version 0.12.0
- Add default optflags in configure.

* Fri Jan 28 2011 Pavel Alexeev <Pahan@Hubbitus.info> - 0.11.1-2.svn844
- Build postrelease 0.11.1-svn844 in hope it fix Shift + Tab problem.

* Mon Nov 29 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 0.11.1-1
- New version 0.11.1.
- BR aspell-devel replaced by enchant-devel.

* Thu Nov 11 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 0.10.0-6
- Add Patch0: xneur-0.10.0_libnotify_gt_0.7.patch to fix FBFS in rawhide.

* Fri Oct 8 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 0.10.0-5
- New version 0.10.0

* Sat Sep 25 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 0.9.9-4
- Own %%dir %%{_sysconfdir}/%%{name}

* Fri Sep 24 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 0.9.9-3
- Remove rpathes.
- Make pathes to mans mor concrete.

* Wed Sep 22 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 0.9.9-2
- All changes inspired by Fedora review, thanks to Damian Wrobel and Martin Gieseking.
- Changed description to do not mention comparation (suggested Wikipedia variant
	with full languages list).
- Change license to GPLv2+ instead of GPLv2.
- Own %%{_libdir}/xneur/
- Explicit mention %%{_bindir}/%%{name}
- %%{_libdir}/xneur/*.so.* replaced by macros variant: %%{_libdir}/%%{name}/*.so.*
- Remove unneeded BR autoconf, automake, libtool
- Add BR gtk2-devel to build on Fedora 14+.
- Add extraparameters LIBNOTIFY_LIBS and LIBNOTIFY_CFLAGS to fix build on Fedora > 13.
    Please see commment above for more info.

* Wed Aug 11 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 0.9.9-1
- Import from http://mirror.yandex.ru/fedora/russianfedora/russianfedora/free/fedora/releases/13/Everything/source/SRPMS/xneur-0.9.9-1.fc13.src.rpm
	and fully revisited.